{% extends "base_dashboard.html" %}
{% load i18n staticfiles %}
{% load common_tags %}
{% block title %}{% blocktrans with teaser=report.teaser.title time=report.created|date:"M-Y" %}Laporan Keuangan "{{ teaser }}" pada {{ time }}{% endblocktrans %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
    <li><a class="spf-link" href="{% url 'report_list' %}">{% trans "Laporan Keuangan" %}</a></li>
    <li><span>{% blocktrans with teaser=report.teaser.title time=report.created|date:"M-Y" %}Laporan Keuangan "{{ teaser }}" pada {{ time }}{% endblocktrans %}</span></li>
  </ul>
{% endblock %}

{% block content %}
  <div class="uk-card uk-card-default">
    <div class="uk-card-header">
      <div class="uk-grid-small uk-flex-middle" uk-grid>
        <h3 class="uk-card-title uk-margin-remove-bottom">
          {{ report.teaser.title }} :: {{ report.teaser.cooperative_name }}
        </h3>
      </div>
      <p class="uk-article-meta uk-margin-remove">{% blocktrans with created=report.created modified=report.modified %}Dibuat pada {{ created }}, dimodifikasi pada {{ modified }}{% endblocktrans %}</p>
      <div class="uk-position-top-right uk-padding-small">
        {% if report.status == 'pending' %}
          <a class="uk-icon-button uk-button-warning" uk-icon="clock" uk-tooltip="title: {% trans 'Menunggu Konfirmasi' %}"></a>
        {% elif report.status == 'approved' %}
          <a class="uk-icon-button uk-button-success" uk-icon="check" uk-tooltip="title: {% trans 'Diterima' %}"></a>
        {% elif report.status == 'rejected' %}
          <a class="uk-icon-button uk-button-danger" uk-icon="close" uk-tooltip="title: {% trans 'Ditolak' %}"></a>
        {% elif report.status == 'finished' %}
          <a class="uk-icon-button uk-button-secondary" uk-icon="info" uk-tooltip="title: {% trans 'Selesai' %}"></a>
        {% endif %}

        {% if request.user.profile.status == 'relationship_manager' or request.user.is_staff %}
          <a href="{% url 'app_management:dashboard_report_edit' pk=report.pk %}"
            class="uk-icon-button uk-button-warning spf-link" uk-icon="file-edit"
            uk-tooltip="title: {% trans 'Ubah' %}"></a>
        {% elif request.user.profile.status == 'member' %}
          {% if report.status != 'approved' %}
            <a href="{% url 'app_plaza:report_edit' pk=report.pk %}"
              class="uk-icon-button uk-button-warning spf-link" uk-icon="file-edit"
              uk-tooltip="title: {% trans 'Ubah' %}"></a>
          {% endif %}
        {% endif %}

        <a href="{% url 'app_plaza:report_detail' slug=report.teaser.slug %}"
          class="uk-icon-button uk-button-primary spf-link" style="transform: rotate(90deg);"
          uk-icon="settings" uk-tooltip="title: {% trans 'Lihat Laporan' %}"></a>
      </div>
    </div>
    <div class="uk-card-body">
      <div class="uk-grid-small uk-child-width-expand@s uk-text-center report-summary" uk-grid>
        <div>
          <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small" style="background:#0c4986">
            <h5 class="uk-text-bold uk-margin-remove">{% trans "Laba Kotor" %}</h5>
            <div class="uk-card-title" style="color:#fff">{{ report.gross_profit_margin }}%</div>
          </div>
        </div>
        <div>
          <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small" style="background:#31b5d4">
            <h5 class="uk-text-bold uk-margin-remove">{% trans "Efisiensi" %}</h5>
            <div class="uk-card-title" style="color:#fff">{{ report.opex_ratio }}%</div>
          </div>
        </div>
        <div>
          <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small" style="background:#1e87f0">
            <h5 class="uk-text-bold uk-margin-remove">{% trans "Ebit Margin" %}</h5>
            <div class="uk-card-title" style="color:#fff">{{ report.ebit_margin }}%</div>
          </div>
        </div>
        <div>
          <div class="uk-card uk-light uk-card-body uk-card-hover uk-padding-small" style="background:#6ab370">
            <h5 class="uk-text-bold uk-margin-remove">{% trans "Laba Bersih" %}</h5>
            <div class="uk-card-title" style="color:#fff">{{ report.net_profit_margin }}%</div>
          </div>
        </div>
      </div><!-- end /.report-summary -->

      <div class="uk-child-width-expand@s" uk-grid>
        <div class="content-table-left">
          <table class="uk-table uk-table-small uk-table-divider uk-table-justify">
            <caption><h4>{% trans "Umum" %}</h4></caption>
            <tbody>
              <tr>
                <td>{% trans "Realisasi" %}</td>
                <td><strong>{{ report.actual|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Target" %}</td>
                <td><strong>{{ report.target|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Pendapatan" %}</td>
                <td><strong>{{ report.revenue|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td uk-tooltip="title: {% trans 'Pengeluaran Operasional' %}; pos: left">{% trans "Opex" %}</td>
                <td><strong>{{ report.opex|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "A. Biaya Sales/Penjualan" %}</td>
                <td><strong>{{ report.opex_A|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "B. Biaya Umum & Administrasi" %}</td>
                <td><strong>{{ report.opex_B|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "C. Biaya Bahan Baku" %}</td>
                <td><strong>{{ report.opex_C|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "D. Biaya IT" %}</td>
                <td><strong>{{ report.opex_D|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "E. Biaya Lain-lain" %}</td>
                <td><strong>{{ report.opex_E|as_rupiah }},-</strong></td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="content-table-right">
          <table class="uk-table uk-table-small uk-table-divider uk-table-justify">
            <caption><h4>{% trans "Detail" %}</h4></caption>
            <tbody>
              <tr>
                <td>{% trans "Gaji Wiraniaga" %}</td>
                <td><strong>{{ report.costs_sales_person|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Komisi Penjualan" %}</td>
                <td><strong>{{ report.costs_sales_commission|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Promosi dan Periklanan" %}</td>
                <td><strong>{{ report.costs_promotion_and_advertising|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Biaya Pergudangan" %}</td>
                <td><strong>{{ report.costs_warehouse|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Biaya Penagihan" %}</td>
                <td><strong>{{ report.costs_billing_charge|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Biaya Telepon/Listrik" %}</td>
                <td><strong>{{ report.costs_phone_and_electricity|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Biaya Transportasi" %}</td>
                <td><strong>{{ report.costs_transport|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Gaji Pegawai" %}</td>
                <td><strong>{{ report.costs_employee_salary|as_rupiah }},-</strong></td>
              </tr>
              <tr>
                <td>{% trans "Biaya Peralatan Kantor" %}</td>
                <td><strong>{{ report.costs_office_equipment|as_rupiah }},-</strong></td>
              </tr>
              {% if report.attachment %}
                <tr>
                  <td>{% trans "Lampiran" %}</td>
                  <td>
                    <div class="uk-form-custom">
                      <i class="uk-icon uk-icon-download uk-visible@s" uk-icon="icon: download"></i>
                      <a class="uk-button uk-button-default" href="{{ report.attachment.url }}" target="_blank">{% trans "Unduh" %}</a>
                    </div>
                  </td>
                </tr>
              {% endif %}
            </tbody>
          </table>
        </div>
      </div>

      <ul uk-accordion>
        <li>
          <a class="uk-accordion-title uk-text-primary">{% trans "Lihat Penjelasan" %} <span uk-icon="chevron-down"></span></a>
          <div class="uk-accordion-content">
            {% if report.description %}
              {{ report.description|safe }}
            {% else %}
              <i uk-icon="info"></i> {% trans "Laporan ini tidak memiliki penjelasan apapun!" %}
            {% endif %}
          </div>
        </li>
      </ul>
    </div>
  </div>

  <hr class="uk-divider-icon">

  <div class="uk-card uk-card-default">
    <div class="uk-card-header">
      <div class="uk-grid-small uk-flex-middle" uk-grid>
        <h3 class="uk-card-title uk-margin-remove-bottom">
          {% if request.user.profile.status == 'relationship_manager' or request.user.is_staff %}
            <span uk-icon="comments"></span> {% trans "Diskusikan dengan Koperasi/Pelapak" %}
          {% else %}
            <span uk-icon="comments"></span> {% trans "Diskusikan dengan Relationship Manager" %}
          {% endif %}
        </h3>
      </div>
    </div>
    <div class="uk-card-body uk-card-responsive" style="border-top:none">
      <ul class="uk-comment-list">
        {% for comment in comments %}
          <li class="comment-item {% if forloop.counter > 1 %}uk-margin-top{% endif %}" id="comment-{{ comment.pk }}">
            <article class="uk-comment uk-comment-primary uk-visible-toggle uk-comment-responsive-transparent" {% if comment.sender.profile.status == 'it_officer' %}style="background-color:#fff7e0"{% endif %}>
              <header class="uk-comment-header uk-position-relative">
                <div class="uk-grid-medium uk-flex-middle" uk-grid>
                  <div class="uk-width-auto">
                    <img class="uk-comment-avatar" src="{{ comment.sender.email|gravatar:'50' }}">
                  </div>
                  <div class="uk-width-expand">
                    <h4 class="uk-comment-title uk-margin-remove">
                      <a class="uk-link-reset" href="#comment-{{ comment.pk }}">
                        {{ comment.sender }} <i><small>{% trans "kepada" %}</small> {{ comment.receiver }}</i>
                      </a>
                    </h4>
                    <p class="uk-comment-meta uk-margin-remove-top">
                      <a class="uk-link-reset" href="#comment-{{ comment.pk }}">{{ comment.created }}</a>
                    </p>
                  </div>
                </div>
                <div class="uk-position-top-right uk-position-small uk-hidden-hover">
                  <a class="uk-link-muted" href="#comment-form" uk-scroll>{% trans "Balas" %}</a>
                </div>
              </header>
              <div class="uk-comment-body">
                {{ comment.comment|safe }}
              </div>
            </article>
          </li>
        {% empty %}
          <li>
            <article class="uk-comment uk-visible-toggle">
              <div class="uk-comment-body uk-padding-responsive">
                <span uk-icon="info"></span> {% trans "Belum ada sesuatu yang didiskusikan!" %}
              </div>
            </article>
          </li>
        {% endfor %}

        <li class="uk-margin-top" id="comment-form">
          <article class="uk-comment uk-comment-primary uk-visible-toggle uk-comment-responsive-transparent">
            <header class="uk-comment-header uk-margin-remove">
              <h4 class="uk-comment-title">
                <span uk-icon="comments"></span> {% trans "Komentar Anda" %}
              </h4>
            </header>
            <div class="uk-comment-body">
              <form class="uk-form" method="post" action=".">{% csrf_token %}
                {% if form.receiver %}{# hidden for admin officer #}
                  <div class="uk-margin">
                    <label class="uk-form-label" for="id_receiver">
                      {{ form.receiver.label }} <i class="uk-text-danger">*</i>
                    </label>
                    <div class="uk-form-controls">
                      {{ form.receiver }}
                      {% if form.receiver.errors %}
                        {% if form.receiver.errors|length > 1 %}
                          <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                            {% for error in form.receiver.errors %}
                              <li class="uk-text-warning">{{ error }}</li>
                            {% endfor %}
                          </ol>
                        {% else %}
                          <div class="uk-text-small uk-text-left uk-text-warning">
                            {{ form.receiver.errors|first }}
                          </div>
                        {% endif %}
                      {% endif %}
                    </div>
                  </div>
                {% endif %}

                <div class="uk-margin">
                  <div class="uk-form-controls">
                    {{ form.comment }}
                    {% if form.comment.errors %}
                      {% if form.comment.errors|length > 1 %}
                        <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                          {% for error in form.comment.errors %}
                            <li class="uk-text-warning">{{ error }}</li>
                          {% endfor %}
                        </ol>
                      {% else %}
                        <div class="uk-text-small uk-text-left uk-text-warning">
                          {{ form.comment.errors|first }}
                        </div>
                      {% endif %}
                    {% endif %}
                  </div>
                </div>
                <div class="uk-margin">
                  <div class="uk-form-controls">
                    <button type="submit" class="uk-button uk-button-primary">
                      <span uk-icon="icon: check"></span> {% trans "Kirimkan" %}
                    </button>
                  </div>
                </div>
              </form>
            </div>
          </article>
        </li>
      </ul>
    </div>
  </div>
{% endblock %}

{% block js %}
  <script>$('li.list-report-me').addClass('uk-active')</script>
  <script src="{% static 'ckeditor/ckeditor-init.js' %}" data-ckeditor-basepath="{% static 'ckeditor/ckeditor/' %}"></script>
  <script src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
  <script>
    $(document).ready(function() {
      setTimeout(function(){
        var mq = window.matchMedia('(min-width: 970px)');
        if (mq.matches) {
          $('#cke_id_comment').attr({'style':'width:865px'});
        }
      }, 1000);
    });
  </script>
{% endblock %}
